SVXLink patch to bridge with BrandMeister
Copyright 2015 by Artem Prilutskiy
-----------------------------------------

Put PatchCord.* and BrandMeisterBridge.* into src/modules/echolink

Add following lines to CMakeLists.txt after "set(MODSRC QsoImpl.cpp)":

pkg_check_modules(DBUS dbus-1)
include_directories(${DBUS_INCLUDE_DIRS})
set(LIBS ${LIBS} ${DBUS_LIBRARIES})
set(MODSRC ${MODSRC} PatchCord.cpp BrandMeisterBridge.cpp)

Add following lines to ModuleEchoLink.h:

[#include "BrandMeisterBridge.h"]
  after
    [#include "version/SVXLINK.h"]

[BrandMeisterBridge bridge;]
  after
    [private:]


Add following lines to method "ModuleEchoLink::broadcastTalkerStatus" of ModuleEchoLink.cpp:

[const char* sysop_name = bridge.getTalker();]
  before
    [msg << "> " << mycall << "         " << sysop_name << "\n\n";]

[bridge.setTalker(talker->remoteCallsign().c_str(), talker->remoteName().c_str());]
  before
    [msg << "> " << talker->remoteCallsign() << "         " << talker->remoteName() << "\n\n";]


Add following lines to method "ModuleEchoLink::onChatMsgReceived" of ModuleEchoLink.cpp:
[bridge.handleChatMessage(escaped.c_str());]
  before
    [processEvent(ss.str());]


Configuration of bridge are hand-coded inside BrandMeisterBridge.cpp:

Please configure PatchCord to number 10 in BrandMeister.conf
Configuration of MySQL connection should be placed in /opt/BrandMeister/Registry.cnf